summaryrefslogtreecommitdiff
path: root/package.inc.sh
diff options
context:
space:
mode:
Diffstat (limited to 'package.inc.sh')
-rw-r--r--package.inc.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/package.inc.sh b/package.inc.sh
index 66a83c6..360e41f 100644
--- a/package.inc.sh
+++ b/package.inc.sh
@@ -135,7 +135,7 @@ package_export() {
subtree=repos/$repo-$OPT_ARCH
fi
- if ! git ls-tree "remotes/$remote/packages/$pkgname" "$subtree/" &>/dev/null; then
+ if ! git show "remotes/$remote/packages/$pkgname:$subtree/" &>/dev/null; then
if [[ $repo ]]; then
log_error "package '%s' not found in repo '%s-%s'" "$pkgname" "$repo" "$OPT_ARCH"
return 1